Bug 70980 - [ILK]Piglit shaders_glsl-routing randomly fails
Summary: [ILK]Piglit shaders_glsl-routing randomly fails
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-29 02:35 UTC by lu hua
Modified: 2016-06-05 21:29 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2013-10-29 02:35:45 UTC
System Environment:
--------------------------
Platform:    Ironlake
Libdrm:	     (master)2.4.47
Mesa:	     (master)d2fdc0d634f8fecebfe46d9ec2a3c3a03663d8b3
Xserver:     (master)xorg-server-1.14.99.3-1-g7ecfab47eb221dbb996ea6c033348b8eceaeb893
Xf86_video_intel:(master)2.99.905-16-g4e0a01a7a3cf0f473c7ffae9129069086bf2fbe2
Cairo:	     (master)98fef3cef2d0f7f463a2e4f9f1b35b09f7b6ea77
Libva:	     (staging)1a011ce5bb0b80506797a25a988854f3f81ce909
Libva_intel_driver:(staging)1cee858036a87837deddc87586701ed869f96261
Kernel:	(drm-intel-nightly) 164a4cb4c1431a0689f85507868356fae24da638

Bug detailed description:
-----------------------------
It fails 6 in 10 runs on Ironlake with mesa master branch. Run 10 cycles on 9.2 branch, It works well.

output:
Test: VS(C0 C1 T0 T1 T2 T3 T4 T5)
      FS(C0 -- T0 -- T2 -- T4 T5)

Test: VS(C0 C1 T0 T1 T2 T3 T4 T5)
      FS(-- C1 T0 T1 -- -- T4 --)

Test: VS(C0 C1 T0 T1 T2 T3 T4 T5)
      FS(C0 C1 -- -- T2 -- T4 T5)

Test: VS(C0 C1 T0 T1 T2 T3 T4 T5)
      FS(-- C1 -- -- T2 T3 -- --)

Test: VS(C0 -- T0 -- T2 -- T4 T5)
      FS(C0 C1 T0 T1 T2 T3 T4 T5)

Test: VS(-- C1 T0 T1 -- -- T4 --)
      FS(C0 C1 T0 T1 T2 T3 T4 T5)

Test: VS(C0 C1 -- -- -- T3 -- T5)
      FS(C0 C1 T0 T1 T2 T3 T4 T5)

Test: VS(-- C1 -- -- T2 T3 T4 --)
      FS(C0 C1 T0 T1 T2 T3 T4 T5)
Probe color at (157,217)
  Expected: 0.500000 0.600000 0.700000
  Observed: 0.000000 0.000000 0.000000

Test: VS(C0 -- T0 -- T2 -- T4 T5)
      FS(C0 C1 T0 T1 -- -- T4 --)

Test: VS(C0 C1 -- T1 -- -- T4 T5)
      FS(-- C1 -- T1 T2 T3 T4 --)

Test: VS(-- C1 T0 -- T2 T3 -- T5)
      FS(-- C1 -- T1 T2 T3 T4 T5)

Test: VS(C0 C1 T0 -- T2 T3 T4 T5)
      FS(C0 -- T0 -- -- T3 -- T5)
PIGLIT: {'result': 'fail' }


Reproduce steps:
----------------------------
1. xinit
2. ./bin/glsl-routing -auto
Comment 1 lu hua 2015-04-29 06:22:08 UTC
Test on the latest mesa master branch, It still happens.
Comment 2 Rhys Kidd 2015-07-12 09:39:37 UTC
Hello Lu Hua,

I ran this piglit test on ILK through 100 times and did not see this regression any more. This was with the below setup:

$ mesa-debug glxinfo | grep version | grep OpenGL
OpenGL version string: 2.1 Mesa 10.7.0-devel (git-8108de4)
OpenGL shading language version string: 1.20
OpenGL ES profile version string: OpenGL ES 2.0 Mesa 10.7.0-devel (git-8108de4)
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.0.16

So would presume this has been subsequently fixed with the passage of Mesa code churn. Unless you can confirm otherwise?
Comment 3 lu hua 2015-07-15 05:50:07 UTC
Christophe, 
Does this issue still happen on your machines?
Comment 4 Rhys Kidd 2016-06-05 15:34:30 UTC
Can we confirm as sufficiently resolved to close this bug report?

No activity in some time.
Comment 5 Kenneth Graunke 2016-06-05 21:29:55 UTC
Let's close this as fixed.  It works for Rhys, and it also appears to work in Mark's jenkins lab.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.